$('body').on('click', '.spoiler', function() {
	$(this).toggle();
	$(this).next('div').toggle();
});

$('body').on('click', '.blur', function(e) {
	e.stopPropagation();
	$(this).prev().toggle();
	$(this).toggle();
	$(this).next('a').toggle();
});

$('body').on('click', '.toggleblur', function(e) {
	e.stopPropagation();
	$(this).toggle();
	$(this).next('a').next('a').toggle();
	$(this).next('a').toggle();
});

$('body').on('click', '#emoji', function(e) {
	$(this).closest(".element").find('.picker').css("display","none");
	$(this).closest(".element").find('.picker').css("display","block");
});

$('body').on('click', '.emoji', function(e) {
	var code = $(this).attr("title");
	console.log(code);
	boxtxt = $(this).closest(".element").find("#status").val();
	$(this).closest(".element").find("#status").val(boxtxt + ":"+code+":");
});

$('body').on('click', '.close', function(e) {
	$(this).closest('.element').find('.emojilist').html("");
	$(this).closest(".element").find('.picker').css("display","none");
});

$(document).on("change paste keyup","#emojisearch",function () {
   var val = $(this).val();
   var list = $(this).closest('.element').find('.emojilist');
   console.log(val); 
	$.get("action.php?a=true&emoji=" + val, function(data) {
		list.html(data);
	});
});

// Open Lightbox
$('body').on('click', '.open-lightbox', function(e) {
	e.preventDefault();
	e.stopPropagation();
	var image = $(this).attr('href');
	$('html').addClass('no-scroll');
	$('body').append('<div class="lightbox-opened"><img style="max-height:100%; max-width:100%;" src="' + image + '"></div>');
});

// Close Lightbox
$('body').on('click', '.lightbox-opened', function() {
	$('html').removeClass('no-scroll');
	$('.lightbox-opened').remove();
});

window.addEventListener("scroll", function() {
	onScrollDiv()
});
window.addEventListener("DOMContentLoaded", function() {
	onScrollDiv()
});

function onScrollDiv() {
	var images = document.querySelectorAll('.lazyload');
	for (var i = 0, nb = images.length; i < nb; i++) {
		var img = images[i]
		var rect = img.getBoundingClientRect();
		var isVisible = ((rect.top - window.innerHeight) < 500 && (rect.bottom) > -50) ? true : false;

		if (isVisible) {
			if (!img.src) {
				img.src = img.dataset.src;
			}
		}
	}
}

$('body').on('click', '.replies', function(e) {
	e.preventDefault;
	$(".reply").remove();
	$(".element").removeClass("element_pad");
	$(this).closest(".element").addClass("element_pad");
	/*$('.replies_container').html('');*/
	var id = $(this).parent().parent().attr('id');
	if($('#' + id+'.replies_container').find('.reply').length < 1){
		$('#' + id+'.replies_container').html("<p><img src='img/loading.gif'></p>");
	}
	$.get("action.php?a=true&replies=" + id, function(data) {
		$('#' + id+'.replies_container').html(data);
		$('#' + id+'.replies_container').delay(800).fadeIn(400);
		$('#a' + id).html('');
		$('#' + id+".replies_container .ancestor").appendTo('#a' + id);
	});
});

$('body').on('click', '.ldr:not(.tlicon)', function(e) {
	$('.tlicon').each(function(a){
       $( this ).removeClass('tiselected')
     });
});

$('body').on('click', '.ldr', function(e) {
	e.preventDefault();
	location.hash = "#top";
	$('#loader').html('');
	$('#loaded').remove();
	var url = $(this).attr('href');
	var id = $(this).attr('id');
	localStorage.setItem("content", $('#content .element').detach());
	$('#content').html('<center><img src="img/loadingb.gif"></center>');
	$.get(url + "&ajax=1", function(data) {
		$('#content').html(data);
		history.pushState({}, "Dashboard FE", url);
		var thread = getUrlParameter('thread');
	});
});

$('body').on('click', '.gotop a', function(e) {
	e.preventDefault();
	$('html, body').animate({
		scrollTop: 0
	}, 800);
	return false;
});

$('body').on('click', '#loader', function() {
	var cnt = $("#loaded").contents();
	//		$("#content").prepend(cnt);
	$('#content').find('.element').first().after(cnt);
	$("#loaded").remove();
	$("#loader").html('');
});

$('body').on('click', '.nsfw', function() {
	var id = $(this).attr('id');
	$.get("action.php?a=true&nsfw=" + id, function(data) {
		if (data == '1') {
			$('#' + id + '.nsfw').toggleClass('nsfw unnsfw');
			$('#' + id + '.unnsfw').html('NSFW <span class="fontello">&#xf205;</span>');
		}
	});
});

$('body').on('click', '.unnsfw', function() {
	var id = $(this).attr('id');
	$.get("action.php?a=true&nsfw=" + id, function(data) {
		if (data == '1') {
			$('#' + id + '.unnsfw').toggleClass('unnsfw nsfw');
			$('#' + id + '.nsfw').html('NSFW <span class="fontello">&#xf204;</span>');
		}
	});
});

$('body').on('click', '.block', function() {
	var id = $(this).attr('id');
	$.get("action.php?a=true&mode=true&block=" + id, function(data) {
		
			$('#' + id + '.block').removeClass('block').addClass('unblock');
			$('#' + id + '.unblock').html('Unblock');
		
	});
});

$('body').on('click', '.unblock', function() {
	var id = $(this).attr('id');
	$.get("action.php?a=true&mode=off&block=" + id, function(data) {
		
			$('#' + id + '.unblock').removeClass('unblock').addClass('block');
			$('#' + id + '.block').html('Block');
		
	});
});



$('body').on('click', '.autl', function() {
	var id = $(this).attr('id');
	var list = $(this).attr('list');
	$.get("action.php?a=true&mode=true&user=" + id + "&list=" + list, function(data) {
		
		$('#' + id + '.autl').removeClass('autl').addClass('rutl');
		/* $('#' + id + '.rutl li').html('Added'); */
	});
});

$('body').on('click', '.rutl', function() {
	var elem = $(this);
	var id = $(this).attr('id');
	var list = $(this).attr('list');
	$.get("action.php?a=true&mode=off&user=" + id + "&list=" + list, function(data) {
		$('#' + id + '.rutl').removeClass('rutl').addClass('autl');
		/* $(elem).find('li').html('Removed');*/
	});
});



$('body').on('click', '.hide', function() {
	var id = $(this).attr('id');
	$.get("action.php?a=true&mode=true&hide=" + id, function(data) {
		$('#' + id + '.hide').removeClass('hide').addClass('unhide');
		$('#' + id + '.unhide').html('Unhide Thread');
		console.log(data);
	});
});

$('body').on('click', '.unhide', function() {
	var id = $(this).attr('id');
	$.get("action.php?a=true&mode=off&hide=" + id, function(data) {
		$('#' + id + '.unhide').removeClass('unhide').addClass('hide');
		$('#' + id + '.hide').html('Hide Thread');
		console.log(data);
	});
});

$('body').on('click', '.bookmark', function() {
	var id = $(this).attr('id');
	$.get("action.php?a=true&mode=true&bookmark=" + id, function(data) {
		$('#' + id + '.bookmark').removeClass('bookmark').addClass('unbookmark');
		$('#' + id + '.unbookmark').html('Unbookmark');
		console.log(data);
	});
});

$('body').on('click', '.unbookmark', function() {
	var id = $(this).attr('id');
	$.get("action.php?a=true&mode=off&bookmark=" + id, function(data) {
		$('#' + id + '.unbookmark').removeClass('unbookmark').addClass('bookmark');
		$('#' + id + '.bookmark').html('Bookmark');
		console.log(data);
	});
});

$('body').on('click', '.follow', function() {
	var id = $(this).attr('id');
	$.get("action.php?a=true&follow=" + id, function(data) {
		console.log(data);
		if (data == '1') {
			$('#' + id + '.follow').removeClass('follow').addClass('unfollow');
			$('#' + id + '.unfollow').html('<span class=\'fontello\'></span> Following');
		}
	});
});

$('body').on('click', '.unfollow', function() {
	var id = $(this).attr('id');
	$.get("action.php?a=true&unfollow=" + id, function(data) {
		
		if (data == '1') {
			$('#' + id + '.unfollow').removeClass('unfollow').addClass('follow');
			$('#' + id + '.follow').html('Follow');
		}
	});
});

$('.container').on('mouseenter', '.user', function(event) {
	event.stopPropagation();
    event.stopImmediatePropagation();
	var id = $(this).attr('id');
	console.log(id);
	$(this).append("<div class='userinfo' id='" + id + "'><img src='loading.gif'></div>");
	$.when($.get("action.php?a=true&userinfo=" + id, function(data) {
		$('#' + id + '.userinfo').html(data);
	})).then(function(){
		$('#' + id + '.userinfo').fadeIn();
	});
});

$('.container').on('mouseleave', '.user', function(event) {
	event.stopPropagation();
    event.stopImmediatePropagation();
	$(this).find('.userinfo').fadeOut(300, function() { $(this).remove(); });
});


$('.container').on('mouseenter', '.preview', function(event) {
	event.stopPropagation();
    event.stopImmediatePropagation();
	var id = $(this).attr('id');
	console.log(id);
	$(this).before("<div class='notif previewpost' id='" + id + "'></div>");
	$.when($.get("action.php?a=true&previewpost=" + id, function(data) {
		$('#' + id + '.previewpost').html(data);
	})).then(function(){
		$('#' + id + '.previewpost').fadeIn();
	});
});

$('.container').on('mouseleave', '.preview', function(event) {
	event.stopPropagation();
    event.stopImmediatePropagation();
	$('.container').find('.previewpost').fadeOut(300, function() { $(this).remove(); });
});

/*
$('body').on('mouseleave', '.userinfo', function() {
	var id = $(this).attr('id');
	$.when($('#' + id + '.userinfo').fadeOut()).then(function() {
		$('#' + id + '.userinfo').remove();
	});
});
* */

var getUrlParameter = function getUrlParameter(sParam) {
	var sPageURL = window.location.search.substring(1),
		sURLVariables = sPageURL.split('&'),
		sParameterName,
		i;

	for (i = 0; i < sURLVariables.length; i++) {
		sParameterName = sURLVariables[i].split('=');

		if (sParameterName[0] === sParam) {
			return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
		}
	}
};

function getMode() {
	if (typeof getUrlParameter('user') !== 'undefined') {
		console.log('list');
		return "&user=" + getUrlParameter('user');
	}
	if (typeof getUrlParameter('list') !== 'undefined') {
		console.log('list');
		return "&list=" + getUrlParameter('list');
	}
	if (typeof getUrlParameter('mode') !== 'undefined') {
		console.log('mode');
		return "&mode=" + getUrlParameter('mode');
	}
	if (typeof getUrlParameter('tag') !== 'undefined') {
		console.log('tag');
		return "&tag=" + getUrlParameter('tag');
	}
	if (typeof getUrlParameter('search') !== 'undefined') {
		console.log('tag');
		return "&search=" + getUrlParameter('search');
	}
	return "&mode=federated";
};

function loadmore(){
	var thread = getUrlParameter('thread');
	if (typeof thread !== 'undefined') {
		return false;
	}
	if (typeof getUrlParameter('search') !== 'undefined') {
		return false;
	}
	var thread = getUrlParameter('thread');
	if (typeof thread === 'undefined') {
		var error = $(".error").length;
		if (error < 1) {
			pageMode = getMode();
			var id = $('.post').last().attr('pid');
			$('.loadmore').html("<img src='img/loading.gif'>")
			$.get("index.php?ajax=1&next=" + id + "" + pageMode, function(data) {
				$('.loadmore').parent().before(data);
				$('.loadmore').html("Load More Posts")
				/*$('.loadmore').parent().detach();
				$('#content').append(data);
				$('.loadmore').parent().appendTo('#content');
				*/
			});
		}
	}
}

$(window).scroll(function() {
	if ($(window).scrollTop() == $(document).height() - $(window).height()) {
		loadmore();
	}
});

$('body').on('click', '.loadmore', function() {
	loadmore();
});


function newPosts() {
	var thread = getUrlParameter('thread');
	if (typeof thread !== 'undefined') {
		return false;
	}
	var search = getUrlParameter('search');
	if (typeof search !== 'undefined') {
		return false;
	}
	var error = $(".error").length;
	if (error >= 1) {
		return false;
	}
	var id = $(".post").first().attr('pid');
	pageMode = getMode();
	if (getUrlParameter('mode') == 'bookmarks') {
		return false;
	}
	$.get("index.php?ajax=1&since=" + id + "" + pageMode, function(data) {
		if (data) {
			var scroll = $(window).scrollTop();
			if (scroll > 1000) {
			$('#loader').html("<div class='avatar' style='height:0px;'></div><div class='loader' style='display:table-cell; height:50px; line-height:50px;'><a class='link' style='margin:5px;' href='#'>Load Newer Posts</a></div>");
				if ($('#loaded').length) {
					$('#loaded').prepend(data);
				} else {
					$('#loader').after("<div id='loaded' style='display:none'></div>");
					$('#loaded').prepend(data);
				}
			} else {
				if ($('#loaded').length) {
					$('#loaded').prepend(data);
				} else {
					$('#content').find('.element').first().after(data);
				}
			}
		}
	});
};

window.setInterval(function() {
	newPosts();
}, 25000);

$('body').on('click', '#settings #send', function() {
	$('#settings #send').after('<img id="loading" src="img/loading.gif">');
	var attach = $('#settings input[name=attach]:checked').val();
	var explicit = $('#settings input[name=explicit]:checked').val();
	var replies = $('#settings input[name=replies]:checked').val();
	var reblog = $('#settings input[name=reblog]:checked').val();
	var text = $('#settings input[name=text]:checked').val();
	var videoloop = $('#settings input[name=videoloop]:checked').val();
	var theme = $('#settings').find('select[name=theme]').val();
	var fg = $('#settings').find('input[name=fg]').val();
	var bg = $('#settings').find('input[name=bg]').val();
	var tx = $('#settings').find('input[name=tx]').val();
	var lc = $('#settings').find('input[name=lc]').val();
	var bc = $('#settings').find('input[name=bc]').val();
	var br = $('#settings').find('input[name=br]').val();
	var bw = $('#settings').find('input[name=bw]').val();
	
	var params = {
		attach: attach,
		explicit: explicit,
		replies: replies,
		reblog: reblog,
		videoloop: videoloop,
		text: text,
		theme: theme,
		fg: fg,
		bg: bg,
		tx: tx,
		lc: lc,
		bc: bc,
		bw: bw,
		br: br
	};
	$.get("?action=settings&ajax=1&" + $.param(params), function(data) {
		$('#settings #loading').remove();
		$('#settings #send').after('<b id="saved">Settings Saved</b>');
		$('#settings #saved').delay(1000).fadeOut("slow");
		window.location.reload(true);
	});
});


function themecheck(name){
	if(name.value == "custom"){
		$('#customtheme').css("display","block");
    }
    else{
        $('#customtheme').css("display","none");
    }
};
